<template>
    <div>
        <div style="width: 100%;height: 30px;background:rgb(211, 225, 232);text-align: center;padding-top: 4px;">
           Sales precentage
        </div>
        <div style="width: 100%;height: 90px;background:rgb(211, 225, 232);color:rgb(59, 188, 212);font-size: 50px;text-align: center;padding-top: 5px;">
           {{salesPercentage}}%
        </div>
        <ul class="sellerDetailListItem"
          style="padding-top:0px;">
            <li>
              <span class="detailLabel">
                Sold items
              </span>
              &nbsp;&nbsp;{{numberOfSoldProducts}}
            </li>
            <li>
              <span class="detailLabel">
                Items left
              </span>
              &nbsp;&nbsp;{{itemsLeft}}
            </li>
        </ul>
    </div>
</template>
<script>
import axios from 'axios'
export default {
  name: 'SalesPercentage',
  data: () => ({
    itemsLeft: 0
  }),
  computed: {
    numberOfSoldProducts () {
      return this.$store.state.reportModule.salesReportData.length
    },
    salesPercentage () {
      let totalNumberOfItems = this.itemsLeft + this.numberOfSoldProducts
      return Math.round((this.numberOfSoldProducts * 100) / totalNumberOfItems)
    }
  },
  created () {
    axios.get('item')
      .then(response => {
        response.data.forEach(element => {
          element.itemInfo.forEach(brandElement => {
            brandElement.bransAndSize.forEach(sizeElement => {
              sizeElement.sizes.forEach(singleItem => {
                this.itemsLeft = this.itemsLeft + singleItem.number
              })
            })
          })
        })
      })
      .catch(error => {
        this.$store.commit('SHOW_ERROR_SNACK_BAR', 'Erroer in getting all items data: ' + error)
      })
  }
}
</script>
